jQuery(document).ready(function() {
    var cssdisabled = false;
    var testcss = document.createElement('div');
    var keyboard = false;
    testcss.style.position = 'absolute';
    document.getElementsByTagName('body')[0].appendChild(testcss);
    if (testcss.currentStyle) {
	var currstyle = testcss.currentStyle['position'];
    } else if (window.getComputedStyle) {
	var currstyle = document.defaultView.getComputedStyle(testcss, null).getPropertyValue('position');
    }
    var cssdisabled = (currstyle == 'static') ? true : false;
    document.getElementsByTagName('body')[0].removeChild(testcss);

    if (! cssdisabled) {
    jQuery(".flexslider").bind('start', function(event, slider) {
	jQuery(".flexslider").before('<div aria-hidden="true" id="slider-controls"></div>');
	jQuery("#slider-controls").prepend('<span id="slider-prevnext"> <a aria-hidden="true" href="#" role="button" id="slider-prev"><span>Previous</span></a> <a aria-hidden="true" href="#" role="button" id="slider-next"><span>Next</span></a> </span>');
	jQuery("#slider-controls").prepend('<a aria-hidden="true" href="#" role="button" id="slider-pauseplay" class="pause" data-state="playing"><span>Pause</span></a>');
	jQuery(".flexslider").flexslider("play");
//	slider_update_status();
	jQuery("#slider-pauseplay").click(function(e){
	    e.preventDefault();
	    keyboard=true;
	    var button = jQuery("#slider-pauseplay");
	    var state = button.attr("data-state");
	    if (state === "playing") {
		// Slider is playing, we pause
		jQuery(".flexslider").flexslider("pause");
		button.removeClass("pause");
		button.addClass("play");
		button.attr("data-state","paused");
		button.html("<span>Play</span>");
	    } else {
		// Slider is paused, we play
		jQuery(".flexslider").flexslider("play");
		button.removeClass("play");
		button.addClass("pause");
		button.attr("data-state","playing");
		button.html("<span>Pause</span>");
	    }
	    
	});
	jQuery("#slider-prev").click(function(e){
	    e.preventDefault();
	    keyboard=true;
	    jQuery('.flexslider').flexslider('prev');
	    slider_pause();
	});
	jQuery("#slider-next").click(function(e){
	    e.preventDefault();
	    keyboard=true;
            jQuery('.flexslider').flexslider('next');
	    slider_pause();
	});
    });

    jQuery(".flexslider").bind("after", function(event, slider) {
//	slider_update_status();
	if (keyboard) {
	    slider_update_aria();
	}
    });

    jQuery(".flexslider .slides li a").focus(function() {
	jQuery(".flexslider").flexslider("pause");
    });

    jQuery(".flexslider .slides li a").blur(function() {
	var state = jQuery("#slider-pauseplay").attr("data-state");
	if (state  === "playing") {
	    jQuery(".flexslider").flexslider("play");
	}
    });
	
	jQuery(".flexslider .slides").hover(function() {
	    jQuery(".flexslider").flexslider("pause");
	},function() {
	    var state = jQuery("#slider-pauseplay").attr("data-state");
	    if (state  === "playing") {
		jQuery(".flexslider").flexslider("play");
	    }
	});

    }    
});

function slider_pause () {
    var state = jQuery("#slider-pauseplay").attr("data-state");
    if (state === "playing") {
	jQuery("#slider-pauseplay").click();
    }
}

function slider_update_status () {
    var slider = jQuery(".flexslider").data("flexslider");
    var total_slides = slider.count;
    var cur_slide = slider.currentSlide + 1;
    jQuery("#slider-info").html('Slide '+cur_slide+' of '+total_slides+'.');
}

function slider_update_aria () {
    jQuery("ul.slides li").attr("aria-hidden","true");
    jQuery("ul.slides li.flex-active-slide").attr("aria-hidden","false");
    jQuery("ul.slides li a").attr("tabindex","-1");
    jQuery("ul.slides li.flex-active-slide a").attr("tabindex","0");
}
